myfaces-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Werner Punz <we...@gmx.at>
Subject Re: Does myfaces 1.1.5 nightly build require java 5 ?
Date Tue, 06 Feb 2007 11:14:23 GMT
Adrian Mitev schrieb:
> Hi all. I've just downloaded the nightly build. I run it under jboss
> with 1.4.2_11 jdk and i got this exception:
> 
> ERROR [FacesConfigurator] failed to configure class
> org.apache.myfaces.custom.imageloop.HtmlImageLoopRenderer
> java.lang.NoSuchMethodError: java.lang.Integer.valueOf(I)Ljava/lang/Integer;
>         at
> org.apache.myfaces.custom.imageloop.HtmlImageLoopRenderer.<clinit>(HtmlImageLoopRenderer.java:44)
>         at sun.reflect.NativeConstructorAccessorImpl.newInstance0
> (Native Method)
>         at
> sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
>         at
> sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java
> :27)
>         at java.lang.reflect.Constructor.newInstance(Constructor.java:274)
>         at java.lang.Class.newInstance0(Class.java:308)
>         at java.lang.Class.newInstance(Class.java:261)
> 
> As i see HtmlImageLoopRenderer uses method valueOf(int) that is not
> defined in jdk 1.4.2
> 
bug...

myfaces should not require jdk5 so far.
This is an obvious bug.


Mime
View raw message